# Generated by Django 2.1.1 on 2018-09-17 17:00

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Map',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32)),
                ('xonotic_name', models.CharField(db_index=True, max_length=32)),
                ('active', models.BooleanField(default=False, help_text='Pull new results from server databases')),
            ],
        ),
        migrations.CreateModel(
            name='Player',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('crypto_idfp', models.CharField(max_length=128)),
                ('stats_id', models.PositiveIntegerField(blank=True, null=True)),
                ('nickname', models.CharField(max_length=512)),
                ('nickname_nocolors', models.CharField(max_length=512)),
                ('nickname_html', models.TextField()),
                ('admin_notes', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='SpeedRecord',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('speed', models.DecimalField(decimal_places=10, max_digits=40)),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now)),
                ('map', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='xdwc.Map')),
                ('player', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='xdwc.Player')),
            ],
        ),
        migrations.CreateModel(
            name='TimeRecord',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('time', models.DecimalField(decimal_places=2, max_digits=20)),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now)),
                ('youtube_url', models.URLField(blank=True, null=True)),
                ('map', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='xdwc.Map')),
                ('player', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='xdwc.Player')),
            ],
        ),
        migrations.CreateModel(
            name='Tournament',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
                ('slug', models.SlugField()),
                ('published', models.BooleanField(default=False)),
            ],
        ),
        migrations.AddField(
            model_name='map',
            name='tournament',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='xdwc.Tournament'),
        ),
    ]
